Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.wsrm
Class LastMessageNumber

    java.lang.Object
      org.apache.sandesha2.wsrm.LastMessageNumber

    public class LastMessageNumber

extends java.lang.Object

Constructor Summary
`LastMessageNumber(java.lang.String namespaceValue)`

Method Summary
`java.lang.Object` | `fromOMElement(org.apache.axiom.om.OMElement msgNumberPart)`
`long` | `getMessageNumber()`
`java.lang.String` | `getNamespaceValue()`
`boolean` | `isNamespaceSupported(java.lang.String namespaceName)`
`void` | `setMessageNumber(long messageNumber)`
`org.apache.axiom.om.OMElement` | `toOMElement(org.apache.axiom.om.OMElement element, org.apache.axiom.om.OMNamespace rmNamespace)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LastMessageNumber

    public LastMessageNumber(java.lang.String namespaceValue)
                      throws SandeshaException

Throws:
  `SandeshaException`

Method Detail

### getMessageNumber

    public long getMessageNumber()

### setMessageNumber

    public void setMessageNumber(long messageNumber)

### fromOMElement

    public java.lang.Object fromOMElement(org.apache.axiom.om.OMElement msgNumberPart)
                                   throws org.apache.axiom.om.OMException

  Throws:
    `org.apache.axiom.om.OMException`

### toOMElement

    public org.apache.axiom.om.OMElement toOMElement(org.apache.axiom.om.OMElement element,
                                                     org.apache.axiom.om.OMNamespace rmNamespace)
                                              throws org.apache.axiom.om.OMException

  Throws:
    `org.apache.axiom.om.OMException`

### getNamespaceValue

    public java.lang.String getNamespaceValue()
                                       throws org.apache.axiom.om.OMException

  Throws:
    `org.apache.axiom.om.OMException`

### isNamespaceSupported

    public boolean isNamespaceSupported(java.lang.String namespaceName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.